| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
tronconneuse.hpp File Reference
Private

defines a block structured file.Mainly used for strong encryption. More...

`#include "../my_config.h"`
`#include <string>`
`#include "infinint.hpp"`
`#include "generic_file.hpp"`
`#include "archive_version.hpp"`

Go to the source code of this file.

## Classes
class | libdar::tronconneuse
| this is a partial implementation of the generic_file interface to cypher/decypher data block by block. More...

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

defines a block structured file.

Mainly used for strong encryption.

Definition in file tronconneuse.hpp.